Environment Setup

To develop applications with Equo Framework there are some requirements that need to be met:

  • JDK 8 or JDK 11.

  • At least 8GB of RAM.

  • An IDE or code editor.

  • A build system (for now, only Maven is supported. Gradle support is coming).

Git

The version control system Git is highly recommended. This will allow you to connect your Equo application with Equo App Manager and take advantage of all the capabilities that it offers. Capabilities such as CI/CD, auto-updates, auto-generated installers, and more.